# Class ContactStatChangeProtectedTag

#### Hierarchy (view full)

- ProtectedTag
  - ContactStatChangeProtectedTag

- Defined in src/data/battler-tags.ts:878

#####
Index

### Constructors

constructor

### Properties

lapseType
levels
sourceId?
sourceMove
stat
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new ContactStatChangeProtectedTag(sourceMove, tagType, stat, levels): ContactStatChangeProtectedTag

- #### Parameters

  - sourceMove: Moves
  - tagType: BattlerTagType
  - stat: BattleStat
  - levels: number

  #### Returns ContactStatChangeProtectedTag

  Overrides ProtectedTag.constructor

  - Defined in src/data/battler-tags.ts:882

## Properties

### lapseType

lapseType: BattlerTagLapseType

Inherited from ProtectedTag.lapseType

- Defined in src/data/battler-tags.ts:33

### `Private` levels

levels: number

- Defined in src/data/battler-tags.ts:880

### `Optional` sourceId

sourceId?: number

Inherited from ProtectedTag.sourceId

- Defined in src/data/battler-tags.ts:36

### sourceMove

sourceMove: Moves

Inherited from ProtectedTag.sourceMove

- Defined in src/data/battler-tags.ts:35

### `Private` stat

stat: BattleStat

- Defined in src/data/battler-tags.ts:879

### tagType

tagType: BattlerTagType

Inherited from ProtectedTag.tagType

- Defined in src/data/battler-tags.ts:32

### turnCount

turnCount: number

Inherited from ProtectedTag.turnCount

- Defined in src/data/battler-tags.ts:34

## Methods

### canAdd

- canAdd(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Inherited from ProtectedTag.canAdd

  - Defined in src/data/battler-tags.ts:46

### getDescriptor

- getDescriptor(): string

- #### Returns string

  Inherited from ProtectedTag.getDescriptor

  - Defined in src/data/battler-tags.ts:60

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from ProtectedTag.getMoveName

  - Defined in src/data/battler-tags.ts:68

### isSourceLinked

- isSourceLinked(): boolean

- #### Returns boolean

  Inherited from ProtectedTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:64

### lapse

- lapse(pokemon, lapseType): boolean

- #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Overrides ProtectedTag.lapse

  - Defined in src/data/battler-tags.ts:899

### loadTag

- loadTag(source): void

- When given a battler tag or json representing one, load the data for it.

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Overrides ProtectedTag.loadTag

  - Defined in src/data/battler-tags.ts:893

### onAdd

- onAdd(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from ProtectedTag.onAdd

  - Defined in src/data/battler-tags.ts:828

### onOverlap

- onOverlap(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from ProtectedTag.onOverlap

  - Defined in src/data/battler-tags.ts:54

### onRemove

- onRemove(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from ProtectedTag.onRemove

  - Defined in src/data/battler-tags.ts:52